# Unit serial

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

Driver->Interface->`Serial` - `Serial` Driver.

## Uses

- util
- isrmanager
- strings

## Overview

### Functions and Procedures

`procedure init();`
`function receive(PORT : uint16; timeout : uint32) : uint8;`
`function send(PORT : uint16; data : uint8; timeout : uint32) : boolean;`
`function sendString(str : pchar) : boolean;`

### Constants

`COM1 = $3F8;`
`COM2 = $2F8;`
`COM3 = $3E8;`
`COM4 = $2E8;`

## Description

### Functions and Procedures

`procedure init();`

`function receive(PORT : uint16; timeout : uint32) : uint8;`

`function send(PORT : uint16; data : uint8; timeout : uint32) : boolean;`

`function sendString(str : pchar) : boolean;`

### Constants

`COM1 = $3F8;`

`COM2 = $2F8;`

`COM3 = $3E8;`

`COM4 = $2E8;`

## Author

- Kieron Morris <kjm@kieronmorris.me>

Generated by PasDoc 0.15.0.